Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class Characteristics.ImmutableProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.picocontainer.Characteristics.ImmutableProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

Enclosing class:
  Characteristics

    public static class Characteristics.ImmutableProperties

extends Properties

Read only property set. Once constructed, all methods that modify state will throw UnsupportedOperationException.

Author:
  Paul Hammant.
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`Characteristics.ImmutableProperties(String name, String value)`

Method Summary
`void` | `clear()` Read Only Object: will throw UnsupportedOperationException.
`Object` | `put(Object key, Object value)` Once object is constructed, this will throw UnsupportedOperationException because this class is a read only wrapper.
`void` | `putAll(Map<? extends Object,? extends Object> t)` Read Only Object: will throw UnsupportedOperationException.
`Object` | `remove(Object o)` Read Only Object: will throw UnsupportedOperationException.
`Object` | `setProperty(String string, String string1)` Read Only Object: will throw UnsupportedOperationException.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, rehash, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Characteristics.ImmutableProperties

    public Characteristics.ImmutableProperties(String name,
                                               String value)

Method Detail

### remove

    public Object remove(Object o)

  Read Only Object: will throw UnsupportedOperationException.

  Specified by:
    `remove` in interface `Map<Object,Object>`
  Overrides:
    `remove` in class `Hashtable<Object,Object>`

### setProperty

    public Object setProperty(String string,
                              String string1)

  Read Only Object: will throw UnsupportedOperationException.

  Overrides:
    `setProperty` in class `Properties`

### clear

    public void clear()

  Read Only Object: will throw UnsupportedOperationException.

  Specified by:
    `clear` in interface `Map<Object,Object>`
  Overrides:
    `clear` in class `Hashtable<Object,Object>`

### put

    public Object put(Object key,
                      Object value)

  Once object is constructed, this will throw UnsupportedOperationException because this class is a read only wrapper.

  Specified by:
    `put` in interface `Map<Object,Object>`
  Overrides:
    `put` in class `Hashtable<Object,Object>`

### putAll

    public void putAll(Map<? extends Object,? extends Object> t)

  Read Only Object: will throw UnsupportedOperationException.

  Specified by:
    `putAll` in interface `Map<Object,Object>`
  Overrides:
    `putAll` in class `Hashtable<Object,Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.